Production release: sister project search results display
Closed, ResolvedPublic

Description

This ticket (and its subtasks) will be to get the sister project display on the search results page ready to be deployed into production on all Wikipedias.

Projected date for deployment: end of April 2017.

Note: because of various things and issues, this release is now scheduled for mid June 2017.

Related Objects

StatusAssignedTask
Resolveddebt
OpenNone
Resolveddebt
DeclinedNone
ResolvedJdrewniak
DuplicateNone
ResolvedJdrewniak
DeclinedNone
Resolveddebt
ResolvedNone
DeclinedNone
ResolvedEBernhardson
Resolveddcausse
Resolveddcausse
Resolveddcausse
Resolveddcausse
DeclinedNone
Openmpopov
ResolvedJdrewniak
debt created this task.Apr 5 2017, 3:40 PM
debt moved this task from Backlog to UI on the Discovery-Search (Current work) board.
debt added a comment.Apr 6 2017, 10:22 PM

We've posted, with @CKoerner_WMF's fantastic help, to the following Village Pumps (T162064#3161941):

ja: https://ja.wikipedia.org/wiki/Wikipedia:井戸端#.E5.A7.89.E5.A6.B9.E3.83.97.E3.83.AD.E3.82.B8.E3.82.A7.E3.82.AF.E3.83.88.E3.81.AE.E6.A4.9C.E7.B4.A2.E7.B5.90.E6.9E.9C

fr: https://fr.wikipedia.org/wiki/Wikipédia:Le_Bistro/6_avril_2017#R.C3.A9sultats_de_recherche_issus_des_projets_fr.C3.A8res

it: https://it.wikipedia.org/wiki/Wikipedia:Malfunzionamenti#Risultati_della_ricerca_nei_progetti_fratelli

es: https://es.wikipedia.org/wiki/Wikipedia:Café/Archivo/Técnica/Actual#Resultados_de_la_b.C3.BAsqueda_en_los_proyectos_hermanos

de: https://de.wikipedia.org/wiki/Wikipedia:Technik/Werkstatt#Suchergebnisse_von_Schwesterprojekten

pt: https://pt.wikipedia.org/wiki/Wikipédia:Café_dos_programadores#Resultados_da_pesquisa_em_projetos_irm.C3.A3os

pl: https://pl.wikipedia.org/wiki/Wikipedia:Kawiarenka/Kwestie_techniczne#Sister_projects_search_results

ru: https://ru.wikipedia.org/wiki/Википедия:Форум/Технический#.D0.A0.D0.B5.D0.B7.D1.83.D0.BB.D1.8C.D1.82.D0.B0.D1.82.D1.8B_.D0.BF.D0.BE.D0.B8.D1.81.D0.BA.D0.B0_.D0.B8.D0.B7_.D1.80.D0.BE.D0.B4.D1.81.D1.82.D0.B2.D0.B5.D0.BD.D0.BD.D1.8B.D1.85_.D0.BF.D1.80.D0.BE.D0.B5.D0.BA.D1.82.D0.BE.D0.B2

zh: https://zh.wikipedia.org/wiki/Wikipedia:互助客栈/技术#.E8.B7.A8.E7.BB.B4.E5.9F.BA.E7.9A.84.E6.90.9C.E7.B4.A2.E7.BB.93.E6.9E.9C

en: https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)#Sister_projects_search_results

We've also sent emails out to (T162064#3161951):

Wikimedia-l: https://lists.wikimedia.org/pipermail/wikimedia-l/2017-April/087145.html
Discovery: https://lists.wikimedia.org/pipermail/discovery/2017-April/001487.html
Wikitech-l: https://lists.wikimedia.org/pipermail/wikitech-l/2017-April/087913.html

A blog post is expected to be released Monday, April 10, 2017

debt added a comment.Apr 13 2017, 2:49 PM

Facebook post went live on Tuesday evening: https://www.facebook.com/wikipedia/posts/10155070205158346

We are also gathering user feedback via usertesting.com.

debt added a comment.May 20 2017, 10:46 AM

Posted on enwiki village pump (technical): https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)#Follow-up_to_the_RfC_for_sister_projects_in_search_results

Follow-up to the RfC for sister projects in search results
Thank you for the constructive feedback and discussion during the recent RfC. The following sister project snippets will be displayed on enwiki are listed below (in no particular order):

  • Wikisource
  • Wiktionary
  • Wikiquote
  • Wikibooks
  • Wikivoyage (title match only)

The following projects will not display on enwiki at this time:

  • Commons multimedia
  • Wikinews
  • Wikiversity

Barring any unforeseen circumstances or significant new issues being raised, we’ll enable this new feature on the search results page for all Wikipedias during the week of May 30th, 2017.

debt added a comment.May 30 2017, 4:50 PM

Unfortunately, the train deployment had to be rolled back last week and the (updated) code to display the sister project snippets has been delayed until (hopefully) this week.

Change 357413 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Enable crossproject search on all wikipedias

https://gerrit.wikimedia.org/r/357413

Change 357413 merged by DCausse:
[operations/mediawiki-config@master] [cirrus] Enable crossproject search on all wikipedias

https://gerrit.wikimedia.org/r/357413

Change 357641 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Enable crossproject search on all wikipedias (take 2)

https://gerrit.wikimedia.org/r/357641

Nirmos updated the task description. (Show Details)Jun 12 2017, 4:15 PM
Nirmos added a subscriber: Nirmos.
debt updated the task description. (Show Details)Jun 12 2017, 4:18 PM

Change 357641 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Enable crossproject search on all wikipedias (take 2)

https://gerrit.wikimedia.org/r/357641

Mentioned in SAL (#wikimedia-operations) [2017-06-15T23:10:45Z] <ebernhardson@tin> Synchronized wmf-config/InitialiseSettings.php: Scap: T162276: Enable crossproject search (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2017-06-15T23:11:41Z] <ebernhardson@tin> Started scap: wmf-config Scap: T162276: Enable crossproject search

Mentioned in SAL (#wikimedia-operations) [2017-06-15T23:15:19Z] <ebernhardson@tin> Finished scap: wmf-config Scap: T162276: Enable crossproject search (duration: 03m 37s)

debt moved this task from In progress to Done on the Discovery-Search (Current work) board.
debt closed this task as Resolved.
debt claimed this task.

This went live June 15, 2017, see this email for more info.

RandomDSdevel rescinded a token.
RandomDSdevel awarded a token.